(function( $ ) {
    'use strict';

    $(function() {

        handleChangeElement();

        $('#wp_protect_password_form').submit(function (evt) {
            evt.preventDefault();
            _updatePassword({
                ppwp_apply_password_for_entire_site: $("#ppwp_apply_password_for_entire_site").prop('checked'),
                password_for_website: $("#ppwp_password_for_entire_site").val(),
                ppwp_set_new_password_for_entire_site: $("#ppwp_set_new_password_for_entire_site").prop('checked')
            }, function (error) {
                if (error) {
                    console.error(error);
                } else {
                    location.reload(true);
                }
            });
        });

        $('#wp_protect_password_general_form').submit(function (evt) {
            evt.preventDefault();
            if ( typeof($("#ppwp_set_new_password_for_pages_posts").prop('checked')) !== "undefined" ) {
                if($("#ppwp_set_new_password_for_pages_posts").prop('checked')) {
                    var password = $('#ppwp-password-for-pages-posts').val();
                } else {
                    var password = $('#ppwp-password-hidden').val();
                }
            } else {
                var password = $('#ppwp-password-for-pages-posts').val();
            }
            _updateSettings({
                wpp_password_cookie_expired: $("#wpp_password_cookie_times").val() + ' ' + $("#wpp_password_cookie_units").val(),
                wpp_whitelist_roles: $("#wpp_whitelist_roles").val(),
                wpp_roles_select: $("#wpp_roles_select").val(),
                wpp_apply_password_for_pages_posts: $("#ppwp_apply_password_for_pages_posts").prop('checked'),
                wpp_pages_posts_select: $("#ppwp-pages-posts-select").val(),
                wpp_password_for_pages_posts: password,
                wpp_auto_protect_all_child_pages: $("#ppwp_auto_protect_all_child_pages").prop('checked'),
                wpp_remove_data: $("#ppwp_remove_data").prop('checked'),
                wpp_error_message: $('#wpp_error_message').val(),
            }, function (error) {
                if (error) {
                    console.error(error);
                } else {
                    location.reload(true);
                }
            });
        });

    });

    function handleChangeElement() {
        $("#wpp_roles_select").select2();
        $("#ppwp-pages-posts-select").select2();
        $("#wpp_whitelist_roles").change(function() {
            if ($(this).val() === 'custom_roles') {
                $('#wpp_roles_access').attr('required', true);
                $('#wpp_roles_access').show();
                $('#wpp_roles_select').prop('required', true);
            } else {
                $('#wpp_roles_access').attr('required', false);
                $('#wpp_roles_access').hide();
                $('#wpp_roles_select').prop('required', false);
            }
        });
        $("#wpp_whitelist_roles").trigger("change");

        $("#ppwp-password-for-pages-posts").change(function() {
            if ( $(this).val().indexOf(" ") !== -1 ) {
                toastr.error('Please remove spaces in password!', 'Password Protect WordPress');
                $("#submit").prop( "disabled", true );
            } else {
                $("#submit").prop( "disabled", false );
            }
        });

        $("#ppwp_apply_password_for_pages_posts").change(function() {
            if($(this).prop('checked')) {
                $(".ppwp-pages-posts-set-password").show('slow');
                $('#ppwp-pages-posts-select').attr('required', true);
                $('#ppwp-password-for-pages-posts').attr('required', true);
                $("#ppwp-password-for-pages-posts").trigger("change");
                $("#ppwp_set_new_password_for_pages_posts").trigger('change');
            } else {
                $(".ppwp-pages-posts-set-password").hide('slow');
                $('#ppwp-pages-posts-select').attr('required', false);
                $('#ppwp-password-for-pages-posts').attr('required', false);
                $("#submit").prop( "disabled", false );
            }
        });
        $("#ppwp_apply_password_for_pages_posts").trigger('change');

        $("#ppwp_set_new_password_for_pages_posts").change(function() {
            if($(this).prop('checked')) {
                $('#ppwp-password-for-pages-posts').attr('required', true);
                $("#ppwp-new-password").show('slow');
                $("#ppwp-password-for-pages-posts").trigger("change");
            } else {
                $('#ppwp-password-for-pages-posts').attr('required', false);
                $("#ppwp-new-password").hide('slow');
                $("#submit").prop( "disabled", false );
            }
        });
        $("#ppwp_set_new_password_for_pages_posts").trigger('change');

        /**
         * Handle change element for entire site
         */
        $("#ppwp_apply_password_for_entire_site").change(function () {
            if($(this).prop('checked')) {
                $(".ppwp_logic_show_input_password").show('slow');
                $('#ppwp_password_for_entire_site').attr('required', true);
                $("#ppwp_password_for_entire_site").trigger('change');
            } else {
                $(".ppwp_logic_show_input_password").hide('slow');
                $("#submit").prop( "disabled", false );
                $('#ppwp_password_for_entire_site').attr('required', false);
            }
        });
        $("#ppwp_apply_password_for_entire_site").trigger('change');

        $("#ppwp_set_new_password_for_entire_site").change(function () {
            if($(this).prop('checked')) {
                $("#ppwp_new_password_entire_site").show('slow');
                $('#ppwp_password_for_entire_site').attr('required', true);
            } else {
                $("#ppwp_new_password_entire_site").hide('slow');
                $("#ppwp_password_for_entire_site").val("");
                $("#submit").prop( "disabled", false );
                $('#ppwp_password_for_entire_site').attr('required', false);
            }
        });
        $("#ppwp_set_new_password_for_entire_site").trigger('change');

        $("#ppwp_password_for_entire_site").change(function() {
            if ($(this).val().indexOf(" ") !== -1) {
                toastr.error('Please remove spaces in password!', 'Password Protect WordPress');
                $("#submit").prop( "disabled", true );
            } else {
                $("#submit").prop( "disabled", false );
            }
        });
        $("#ppwp_password_for_entire_site").trigger('change');

        /* Handle change cookie expired */
        $('#wpp_password_cookie_units').change(function() {
            console.log($(this).val());
            setMinMaxForCookieExpired($(this).val());
        });

    }

    function _updateSettings(settings, cb) {
        var _data = {
            action: 'wp_protect_password_update_settings',
            settings: settings,
            security_check: $("#wp_protect_password_nonce").attr('nonce'),
        }
        ajaxRequest(_data, cb);
    }

    function _updatePassword(settings, cb) {
        var _data = {
            action: 'wp_protect_password_update_password',
            settings: settings,
            security_check: $("#wp_protect_password_nonce").attr('nonce'),
        }
        ajaxRequest(_data, cb);
    }

    function ajaxRequest(_data, cb) {
        $.ajax({
            url: wp_protect_password_data.ajax_url,
            type: 'POST',
            data: _data,
            success: function(data) {
                if (data == 'Invalid nonce') {
                    alert('No! No! No! Verify Nonce Fails!');
                } else if(data) {
                    if ( data['is_error'] ) {
                        toastr.error( data['message'], 'Password Protect WordPress');
                    } else {
                        /**
                        TODO: enhance later by VueJS
                        $(".ppwp_wrap_set_new_password_for_pages_posts").html("<p>You’ve set this password to protect the above pages: " + "<b>" + $("#ppwp-password-for-pages-posts").val() + "</b></p>" );
                        $(".ppwp_text_after_enter_password").text($("#ppwp-password-for-pages-posts").val());
                        $("#ppwp_set_new_password_for_pages_posts").trigger('click');

                        $(".ppwp_text_after_enter_password_succes").text("You’ve set a password to protect your site.");
                        $("#ppwp_set_new_password_for_entire_site").trigger('click');
                        */
                        console.log("Success", data);
                        toastr.success('Your settings have been updated successfully!', 'Password Protect WordPress');
                    }
                } else {
                    console.log("Failed", data);
                }
                cb();
            },
            error: function(error) {
                $("#submit").prop("disabled", false);
                console.log("Errorsss", error);
                cb(error);
            },
            timeout: 5000
        });
    }

    function setMinMaxForCookieExpired(unitsTimes) {
        var maxCookie = 365;
        switch (unitsTimes) {
            case 'days':
                $("#wpp_password_cookie_times").attr({
                    "max" : maxCookie,
                });
                break;
            case 'hours':
                $("#wpp_password_cookie_times").attr({
                    "max" : maxCookie * 24,
                });
                break;
            case 'minutes':
                $("#wpp_password_cookie_times").attr({
                    "max" : maxCookie * 24 * 60,
                });
                break;
        }
    }

})( jQuery );
