<?php

if(!class_exists("Wp_Protect_Password_Settings")) {
    class Wp_Protect_Password_Settings{
        public function wp_protect_password_render_ui() {
            ?>
            <div class="wrap">
                <div id="icon-themes" class="icon32"></div>
                <h2><?php _e('Password Protect WordPress', 'wp-protect-password-setting'); ?></h2>

                <?php
                $is_licensed = get_option( WP_Protect_Password_Constant::LICENSE_OPTIONS );
                $default_tab = ( is_gold_function() && "1" !== $is_licensed ) ? "license" : 'general';
                $activate_tab = isset($_GET['tab']) ? $_GET['tab'] : $default_tab;
                $this->render_tabs( $activate_tab );
                $this->render_content( $activate_tab );
                ?>
            </div>
            <?php
        }

        private function render_tabs($active_tab) {
	        $is_licensed = get_option( WP_Protect_Password_Constant::LICENSE_OPTIONS );
            ?>
            <h2 class="nav-tab-wrapper">
	            <?php if ( is_gold_function() ) { ?>
                    <?php if ( "1" === $is_licensed ) { ?>
                        <a href="?page=wp_protect_password_options&tab=general" class="nav-tab <?php echo $active_tab == 'general' ? 'nav-tab-active' : ''; ?>"><?php _e('General', 'wp-protect-password-setting'); ?></a>
                        <a href="?page=wp_protect_password_options&tab=password" class="nav-tab <?php echo $active_tab == 'password' ? 'nav-tab-active' : ''; ?>"><?php _e('Advanced', 'wp-protect-password-setting'); ?></a>
                    <?php } ?>
                    <a href="?page=wp_protect_password_options&tab=license" class="nav-tab <?php echo $active_tab == 'license' ? 'nav-tab-active' : ''; ?>"><?php _e('License', 'wp-protect-password-setting'); ?></a>
                <?php } else { ?>
                    <a href="?page=wp_protect_password_options&tab=general" class="nav-tab <?php echo $active_tab == 'general' ? 'nav-tab-active' : ''; ?>"><?php _e('General', 'wp-protect-password-setting'); ?></a>
                    <a href="?page=wp_protect_password_options&tab=password" class="nav-tab <?php echo $active_tab == 'password' ? 'nav-tab-active' : ''; ?>"><?php _e('Advanced', 'wp-protect-password-setting'); ?></a>
                <?php } ?>
            </h2>
            <?php
        }

        private function render_content($active_tab) {
            require_once plugin_dir_path( dirname( __FILE__ ) ) . '/includes/class-wp-protect-password-setting-widgets.php';
            $widgets = new Wp_Protect_Password_Setting_Widgets();
            switch ($active_tab) {
                case 'general':
                    $widgets->render_general_tab();
                    break;
                case 'password':
                    $widgets->render_password_tab();
                    break;
                case 'license':
                    $widgets->render_license_tab();
                    break;
                default:
                    break;
            }
        }
    }
}