<?php
$option_password = get_option( WP_Protect_Password_Constant::GENERAL_SET_PASSWORD_OPTIONS );
if( $option_password ) {
    $options = unserialize( $option_password );
    if( array_key_exists( "password_for_website", $options ) ) {
        $password_for_website = $options["password_for_website"];
    }
    if( array_key_exists( "ppwp_apply_password_for_entire_site", $options ) ) {
        $ppwp_apply_password_for_entire_site = $options["ppwp_apply_password_for_entire_site"];
    }
}
$is_display = isset( $ppwp_apply_password_for_entire_site ) && $ppwp_apply_password_for_entire_site === "true" ? '' : 'ppwp-hidden-password';
?>
<tr>
    <td>
        <?php if ( isset( $ppwp_apply_password_for_entire_site ) && $ppwp_apply_password_for_entire_site === "true" ) { ?>
            <label class="pda_switch" for="ppwp_apply_password_for_entire_site">
                <input type="checkbox" id="ppwp_apply_password_for_entire_site" name="ppwp_apply_password_for_entire_site" checked/>
                <span class="pda-slider round"></span>
            </label>
        <?php } else { ?>
            <label class="pda_switch" for="ppwp_apply_password_for_entire_site">
                <input type="checkbox" id="ppwp_apply_password_for_entire_site" name="ppwp_apply_password_for_entire_site"/>
                <span class="pda-slider round"></span>
            </label>
        <?php } ?>
    </td>
    <td>
        <p>
            <label><?php echo esc_html__( 'Password Protect Entire Site', 'prevent-direct-access-gold' ) ?></label>
            <?php echo esc_html__( 'Set a password to protect your entire WordPress site', 'prevent-direct-access-gold' ) ?>
        </p>
    </td>
</tr>
<?php if ( isset( $password_for_website ) && $password_for_website !== "" ) { ?>
<tr class="ppwp_logic_show_input_password <?php echo esc_attr( $is_display ) ?>">
    <td></td>
    <td class="ppwp_set_height_for_password_entire_site"><p><?php _e( 'You’ve set a password to protect your site.', 'prevent-direct-access-gold' ) ?></p>
        <div class="ppwp_wrap_new_password_for_entire_site ppwp_wrap_new_password">
            <label class="pda_switch" for="ppwp_set_new_password_for_entire_site">
                <input type="checkbox" id="ppwp_set_new_password_for_entire_site" name="ppwp_set_new_password_for_entire_site"/>
                <span class="pda-slider round"></span>
            </label>
            <span class="ppwp-set-new-password-text">Set a new password</span>
        </div>
        <div class="ppwp_hidden_new_password_for_entire_site" id="ppwp_new_password_entire_site" >
            <div class="ppwp_wrap_new_password">
                <label class="pda_switch"></label>
                <span class="ppwp-set-new-password-input">
                    <input required type="password" autocomplete="off" placeholder="Enter new password" id="ppwp_password_for_entire_site" name="ppwp_password_for_entire_site">
                </span>
            </div>
        </div>
    </td>
</tr>
<?php } else { ?>
<tr class="ppwp_logic_show_input_password <?php echo esc_attr( $is_display ) ?>">
    <td></td>
    <td class="ppwp_text_after_enter_password_succes"><p><?php echo esc_html__( 'Set a password', 'prevent-direct-access-gold' ) ?></p>
        <input required type="password" autocomplete="off" placeholder="Enter a password" id="ppwp_password_for_entire_site" name="ppwp_password_for_entire_site">
    </td>
</tr>
<?php } ?>