<?php
$roles_access = wpp_get_settings_value( WP_Protect_Password_Constant::WPP_WHITELIST_ROLES );
$roles        = get_editable_roles();
$is_display   = $roles_access == "custom_roles" ? '' : 'wpp_hide_role_access';
?>
<tr>
    <td class="feature-input"><span class="feature-input"></span></td>
    <td>
        <p>
            <label><?php echo esc_html__( 'Whitelist Roles', 'prevent-direct-access-gold' ) ?></label>
            <?php echo esc_html__( 'Select user roles who can access all protected content without having to enter passwords', 'prevent-direct-access-gold' ) ?>
        </p>
        <select id="wpp_whitelist_roles">
            <option value="blank" <?php if ( $roles_access == "blank" ) {
                echo "selected";
            } ?>><?php echo esc_html__( 'No one', 'prevent-direct-access-gold' ) ?>
            </option>
            <option value="admin_users" <?php if ( $roles_access == "admin_users" ) {
                echo "selected";
            } ?> ><?php echo esc_html__( 'Admin users', 'prevent-direct-access-gold' ) ?>
            </option>
            <option value="author" <?php if ( $roles_access == "author" ) {
                echo "selected";
            } ?> ><?php echo esc_html__( 'The post\'s author', 'prevent-direct-access-gold' ) ?>
            </option>
            <option value="logged_users" <?php if ( $roles_access == "logged_users" ) {
                echo "selected";
            } ?> ><?php echo esc_html__( 'Logged-in users', 'prevent-direct-access-gold' ) ?>
            </option>
            <option value="custom_roles" <?php if ( $roles_access == "custom_roles" ) {
                echo "selected";
            } ?> ><?php echo esc_html__( 'Choose custom roles', 'prevent-direct-access-gold' ) ?>
            </option>
        </select>
    </td>
</tr>
<tr id="wpp_roles_access" class="<?php echo esc_attr( $is_display ); ?>">
    <td></td>
    <td><p><?php echo esc_html__( 'Grant access to these user roles only', 'prevent-direct-access-gold' ) ?></p>
        <select multiple="multiple" id="wpp_roles_select" class="wpp_roles_select" style="width: 100%;">
            <?php foreach ( $roles as $role_name => $role_info ):
                $arrRole = array( $role_name ); ?>
                <option <?php echo array_intersect( $arrRole, wpp_get_settings_value( WP_Protect_Password_Constant::WPP_ROLE_SELECT ) ) ? 'selected="selected"' : '' ?>
                        value="<?php echo $role_name ?>"><?php echo $role_name ?></option>
            <?php endforeach; ?>
        </select>
    </td>
</tr>
